------------------------------------------------------------------------------------
--Name：            200417[简体征服][活动脚本]全球儿童节活动-捉迷藏
--Creator:      江宇君
--Created:     2020-04-17
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>58

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(165,232)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- hero:SetCtrlMapView(1)

-- hero:SetPos(165, 230)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- -- 设置外观：player:SetLook(外观type)
-- hero:SetLook(7)

local playerkid1 = CppScriptMgr:AddSimplePlayer(25210, 165,224, "Bruce~Tao", 4003000006,1)
playerkid1:Say("Do you want to play hide-and-seek with me?", 3000)
local playerkid2 = CppScriptMgr:AddSimplePlayer(25220, 160,218, "Clever", 4003000007,1)
playerkid2:Say("You should be careful! I`m good at the game!", 3000)
local playerkid3 = CppScriptMgr:AddSimplePlayer(25230, 170,219, "Cutter", 4003000008,1)
playerkid3:Say("Hey! Why not play hide-and-seek with me?", 3000)


local player1 = CppScriptMgr:AddSimplePlayer(25240, 202,239, "Desk", 4003000001,1)
local player2 = CppScriptMgr:AddSimplePlayer(25250, 145,169, "Red~Lantern", 4003000002,1)
local player3 = CppScriptMgr:AddSimplePlayer(25290, 197,229, "Furnace", 4003000003,1)
local player4 = CppScriptMgr:AddSimplePlayer(25300, 148,201, "Strongbox", 4003000004,1)
local player5 = CppScriptMgr:AddSimplePlayer(25310, 135,227, "Firework~Box", 4003000005,1)

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(165,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,224)
CppScriptMgr:WaitMilSec(50)


CppScriptMgr:NpcCallOut("Children are keen on playing hide-and-seek in Tao Village. There are furniture everywhere and they can disguise themselves as one of the furniture!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(165,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(164,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",135,227)
CppScriptMgr:SetViewPosByCell(135,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("I`ll show you around Tao Village. You should bear the position and appearance of these furniture in mind!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(136,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",148,201)
CppScriptMgr:SetViewPosByCell(148,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("When the game begins, children will disguise them as different furniture. If you find them, you win!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(148,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,183)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,182)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,181)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,180)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,179)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,178)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,177)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,176)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,175)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,174)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,172)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,170)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",145,169)
CppScriptMgr:SetViewPosByCell(145,169)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Children disguise themselves as those furniture which doesn`t exist in the village previously. Find them, and you`ll be awarded!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(146,169)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,170)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,172)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,174)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,175)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,176)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,177)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,178)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,179)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,180)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,181)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,182)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,183)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(164,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(166,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(167,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(168,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(169,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(170,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(171,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(172,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(173,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(174,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(175,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(176,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(177,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(178,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(179,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(180,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(181,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(182,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(183,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(184,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(185,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(187,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(188,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(189,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(190,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(191,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(192,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(193,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(194,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(195,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(196,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",197,229)
CppScriptMgr:SetViewPosByCell(197,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("You have 5 chances in total. The more children you find, the more Adventure Coins you will get!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(198,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(199,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(200,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(201,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,233)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,234)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,235)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,236)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,237)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,238)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",202,239)
CppScriptMgr:SetViewPosByCell(202,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Now, let me count backwards, 3, 2, 1! Now you can go to find Bruce Tao to join in Play & Seek Adventure!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)






